'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Conditional = function Conditional(props) {
  var expression = props.expression,
      trueChild = props.trueChild,
      falseChild = props.falseChild;


  if (expression) {
    return _react2.default.createElement(
      _react.Fragment,
      null,
      trueChild
    );
  }

  if (!expression && falseChild) {
    return _react2.default.createElement(
      _react.Fragment,
      null,
      falseChild
    );
  }

  return null;
};

exports.default = Conditional;


Conditional.propTypes = {
  expression: _propTypes2.default.bool.isRequired,
  trueChild: _propTypes2.default.oneOfType([_propTypes2.default.node.isRequired, _propTypes2.default.array.isRequired]),
  falseChild: _propTypes2.default.oneOfType([_propTypes2.default.node.isRequired, _propTypes2.default.array.isRequired])
};